Bug 172336 - [MAINTAINER] multimedia/gtk-youtube-viewer: update to 3.0.2, Makefile changed
[MAINTAINER] multimedia/gtk-youtube-viewer: update to 3.0.2, Makefile changed
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jason E. Hale
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 23:00 UTC by nemysis
Modified: 2012-11-14 19:11 UTC (History)
1 user (show)

See Also:


Attachments
gtk-youtube-viewer-3.0.2.patch (4.18 KB, patch)
2012-10-04 23:00 UTC, nemysis
no flags Details | Diff
gtk-youtube-viewer.diff (5.38 KB, patch)
2012-11-06 23:40 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-10-04 23:00:24 UTC
- Update to 3.0.2


Makefile changed

- Added Categorie perl5

+CATEGORIES=	multimedia perl5


- Changed MASTER_SITES

+MASTER_SITES=	GITHUB


- Added dependencies

+		p5-Data-Dump>=0:${PORTSDIR}/devel/p5-Data-Dump \
+		p5-ReadLine-Gnu>=0:${PORTSDIR}/devel/p5-ReadLine-Gnu \


- Changed PLIST

PLIST_FILES
PLIST_DIRSTRY


- Added post-extract

+post-extract:
+	@(cd ${WRKSRC}/WWW-YoutubeViewer && ${MV} * ..)


- Added CONFLICTS

+CONFLICTS=	youtube-viewer-[0-9]*


- Rework do-install, post-install, post-patch

 do-install:

+post-install:

 post-patch:
+	@(cd ${WRKSRC}/bin && ${REINPLACE_CMD} -e "s|#!/usr/bin/perl|#!${PERL}|g" \
+	-e "s|/usr/share/|${PREFIX}/share/|g" gtk-youtube-viewer youtube-viewer)


- Removed all comments


- Added in pkg-descr WWW

+WWW:	https://github.com/trizen/youtube-viewer/

Generated and tested manually, tested with port test and with RedPorts (all RELEASES, CLANG), sent with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)

How-To-Repeat: 
portlint -A
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.


port test: clean


Build log RedPorts

https://redports.org/buildarchive/20121004081840-5328/
Comment 1 Jason E. Hale freebsd_committer 2012-10-05 05:58:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jhale

I'll take it.
Comment 2 Jason E. Hale freebsd_committer 2012-10-05 06:33:48 UTC
I'm thinking it might be a better idea, given how the source is distributed 
now, to update the multimedia/youtube-viewer port to 3.0.2 and add an option 
for the GTK part.  Then multimedia/gtk-youtube-viewer could be removed or be a 
slave port.  This will avoid CONFLICTS and such.  Thoughts?

- Jason
Comment 3 Jason E. Hale freebsd_committer 2012-10-05 06:35:12 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 4 nemysis 2012-10-05 07:38:12 UTC
On Fri, 05 Oct 2012 01:33:48 -0400
"Jason E. Hale" <jhale@freebsd.org> wrote:

> I'm thinking it might be a better idea, given how the source is distributed 
> now, to update the multimedia/youtube-viewer port to 3.0.2 and add an option 
> for the GTK part.  Then multimedia/gtk-youtube-viewer could be removed or be a 
> slave port.  This will avoid CONFLICTS and such.  Thoughts?
> 
> - Jason

Yes needed is to have slave Port or better only one Port with default
install gtk-youtube-viewer and youtube-viewer, as this Source Developer gives.

GTK Youtube Viewer need script youtube-viewer.


For both Ports is used this file, because this have used CONFLICTS

%%SITE_PERL%%/WWW/YoutubeViewer.pm


Please look

https://code.google.com/p/trizen/

Developer gives only one Link for download

https://github.com/trizen/youtube-viewer/downloads


GTK Youtube Viewer use this link

MASTER_SITES=   GITHUB

USE_GITHUB=     yes                                                                                                                                            
GH_ACCOUNT=     trizen                                                                                                                                         
GH_PROJECT=     youtube-viewer                                                                                                                                 
GH_TAGNAME=     master                                                                                                                                         
GH_COMMIT=      99bf00c

GTK Youtube Viewer have more Options as Pixmaps, Desktop, OptionsNG and patch both
executable

post-patch:                                                                                                                                                    
        @(cd ${WRKSRC}/bin && ${REINPLACE_CMD} -e "s|#!/usr/bin/perl|#!${PERL}|g" \                                                                            
        -e "s|/usr/share/|${PREFIX}/share/|g" gtk-youtube-viewer youtube-viewer)


Here have maintainer Youtube Viewer new Version for Youtube Viewer

https://redports.org/browser/dhn/multimedia/youtube-viewer

and use

MASTER_SITES=   GOOGLE_CODE \
                ${MASTER_SITE_LOCAL}

Patch only executable youtube-viewer

post-patch:
        @${REINPLACE_CMD} -e "s|#!/usr/bin/perl|#!${PERL}|g" ${WRKSRC}/bin/youtube-viewer



What you think is here needed a pkg-plist there is 12 Items and with
PLIST_FILES are only 5 Items in Makefile.

Youtube Viewer use pkg-plist, there are more Items in %%SITE_PERL%%/WWW but here is

@dirrm %%SITE_PERL%%/WWW


Yes we can make only one Port with

PLIST_FILES=    bin/gtk-youtube-viewer \
                bin/youtube-viewer \
...

${INSTALL_SCRIPT} ${WRKSRC}/bin/gtk-youtube-viewer ${PREFIX}/bin
${INSTALL_SCRIPT} ${WRKSRC}/bin/youtube-viewer ${PREFIX}/bin

nemysis
Comment 5 nemysis 2012-11-06 23:40:31 UTC
Update to 3.0.3

+PORTVERSION=   3.0.3
+CATEGORIES=    multimedia perl5

+DISTNAME=      youtube-viewer

+OPTIONS_DEFINE=        GTK GCAP
+OPTIONS_DEFAULT=GTK GCAP
+GTK_DESC=      Enable GTK support
+GCAP_DESC=     Enable GCAP support

+PLIST_SUB+=    GTK=""
+.else
+PLIST_SUB+=    GTK="@comment "
+.endif

Use now /Build.PL && ./Build
Comment 6 Jason E. Hale freebsd_committer 2012-11-14 19:11:51 UTC
State Changed
From-To: feedback->closed

Committed with changes discussed via private email.  Thanks!